[arch-commits] Commit in glabels/repos (3 files)

Eric Bélanger eric at archlinux.org
Thu Apr 9 17:10:36 EDT 2009


    Date: Thursday, April 9, 2009 @ 17:10:36
  Author: eric
Revision: 34509

Merged revisions 356,13773,34499 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/glabels/trunk

........
  r356 | aaron | 2008-04-18 18:56:27 -0400 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r13773 | allan | 2008-09-28 10:49:19 -0400 (Sun, 28 Sep 2008) | 1 line
  
  correct sourceforge url
........
  r34499 | eric | 2009-04-09 16:26:22 -0400 (Thu, 09 Apr 2009) | 2 lines
  
  upgpkg: glabels 2.2.4-1
      Upstream update, Removed scrollkeeper depends, Added shared-mime-info depends and gnome-doc-utils makedepends, Cleaned up install scriptlet
........

Modified:
  glabels/repos/extra-i686/	(properties)
  glabels/repos/extra-i686/PKGBUILD
  glabels/repos/extra-i686/glabels.install

-----------------+
 PKGBUILD        |   21 ++++++++-------------
 glabels.install |    8 ++------
 2 files changed, 10 insertions(+), 19 deletions(-)


Property changes on: glabels/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /glabels/trunk:1
   + /glabels/trunk:1-34508

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-09 20:58:09 UTC (rev 34508)
+++ extra-i686/PKGBUILD	2009-04-09 21:10:36 UTC (rev 34509)
@@ -2,29 +2,24 @@
 # Maintainer: Damir Perisa <damir at archlinux.org>
 
 pkgname=glabels
-pkgver=2.2.1
+pkgver=2.2.4
 pkgrel=1
 pkgdesc="Creating labels and business cards the very easy way"
 arch=('i686' 'x86_64')
 license=('GPL' 'LGPL')
 url="http://snaught.com/glabels/"
-depends=('libgnomeui' 'scrollkeeper' 'desktop-file-utils')
-makedepends=('pkgconfig' 'perlxml')
+depends=('libgnomeui' 'desktop-file-utils' 'shared-mime-info')
+makedepends=('pkgconfig' 'perlxml' 'gnome-doc-utils>=0.11.2')
 options=('!libtool')
 install=glabels.install
-source=(http://puzzle.dl.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('16e48877708a2c8755ade709ea397fc1')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
-  if [ -f omf.make ]; then
-    sed -i -e 's/-scrollkeeper-update.*//' omf.make
-  fi
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
-              --disable-update-mimedb --disable-update-desktopdb 
+              --disable-update-mimedb --disable-update-desktopdb  || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 }
-
-md5sums=('0828bd732ba4c541616ca121407723f2')

Modified: extra-i686/glabels.install
===================================================================
--- extra-i686/glabels.install	2009-04-09 20:58:09 UTC (rev 34508)
+++ extra-i686/glabels.install	2009-04-09 21:10:36 UTC (rev 34509)
@@ -1,6 +1,5 @@
 post_install() {
-  scrollkeeper-update -q -p var/lib/scrollkeeper
-  update-mime-database usr/share/mime
+  update-mime-database usr/share/mime &> /dev/null
   update-desktop-database -q
 }
 
@@ -8,10 +7,7 @@
   post_install $1
 }
 
+
 post_remove() {
   post_install $1
 }
-
-op=$1
-shift
-$op $*



More information about the arch-commits mailing list